qgis 2.14 and 2.15 - problem of character encoding with "virtual layer"

2016-06-21 09:54 AM - jerome potel

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23033

Description

Hello,

I try to utiiser "virtual layer" with an encoded layer 'latin1'.

I want to change the value of an attribute of a single record.

I write this for a fairly simple query :

SELECT 

    ROWID id,

    "INSEE_COM",

    "NOM_COM",

    CASE WHEN "INSEE_COM"='14118' THEN 'Préfecture de département' ELSE "STATUT" END AS STATUT,

    geometry

FROM "COMMUNE" WHERE "CODE_DEPT"='14'

It works well, but the result is encoded in ' latin1 ' when the change was made probably in utf8 (cf. image)

History

#1 - 2016-06-21 09:55 AM - jerome potel

- File result.jpg added

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#4 - 2019-03-09 04:23 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
